﻿using System;
using System.Windows.Forms;
using System.Drawing;
using com.williambryanmiller.forms;

namespace FormsTest_1 {
    public partial class Form1 : Form {
        public Form1() {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e) {


            MyForms.centerAndSizeForm(this, 600, 400);

            Form f2 = new Form();
            f2.Text = "Form 2";
            f2.Show();
            MyForms.centerAndSizeForm(f2, 500, 300);
            f2.TopMost = true;

            Form f3 = new Form();
            f3.Text = "Form 3";
            Label label3 = new Label();
            label3.Width = 300;
            label3.Text = "^ I'm that label's daddy...";
            MyForms.setFontOfControl(label3, "Tahoma", 13, true, false);
            f3.Controls.Add(label3);
            label3.Top = f3.Top + (f3.Height / 2 - 10);
            label3.Left = 90;
            label3.Visible = true;


            f3.Show();
            MyForms.centerAndSizeForm(f3, 400, 200);
            f3.TopMost = true;

            Form f4 = new Form();
            f4.Text = "Form 4";
            f4.Show();
            MyForms.centerAndSizeForm(f4, 300, 130);
            f4.TopMost = true;

            Label label1 = new Label();
            MyForms.setFontOfControl(label1, "Times Roman", 11, false, true);
            label1.Text = "I am a label.";
            f4.Controls.Add(label1);
            MyForms.centerCtrlOnForm(f4, label1);

            Button myButton = new Button();
            myButton.Width = 120;
            myButton.Height = 30;
            myButton.Text = "Button";
            MyForms.setFontOfControl(myButton, "Tahoma", 12, true, true);
            f4.Controls.Add(myButton);
            MyForms.centerCtrlOnFormHorizontally(f4, myButton);

            myButton.Click += myButton_Click;


        }

        void myButton_Click(object sender, EventArgs e) {
            if (sender is Button) {
                if (this.BackColor != Color.Green) {
                    this.BackColor = Color.Green;                    
                } else {
                    this.BackColor = Color.Red;
                }
            }
        }

        

    }
}
